# cwltool.pack

Reformat a CWL document and all its references to be a single stream.

## Attributes

`LoadRefType` |

## Functions

`find_run`(d, loadref, runs) |
`find_ids`(d, ids) |
`replace_refs`(d, rewrite, stem, newstem) | Replace references with the actual value.
`import_embed`(d, seen) |
`pack`(loadingContext, uri[, rewrite_out, loader]) |

## Module Contents

cwltool.pack.LoadRefType

cwltool.pack.find_run(d, loadref, runs)
  Parameters:

    - d (cwltool.utils.CWLObjectType | schema_salad.utils.ResolveType)

    - loadref (LoadRefType)

    - runs (set[str])

  Return type:

    None

cwltool.pack.find_ids(d, ids)
  Parameters:

    - d (cwltool.utils.CWLObjectType | cwltool.utils.CWLOutputType | collections.abc.MutableSequence[cwltool.utils.CWLObjectType] | None)

    - ids (set[str])

  Return type:

    None

cwltool.pack.replace_refs(d, rewrite, stem, newstem)

  Replace references with the actual value.

  Parameters:

    - d (Any)

    - rewrite (dict[str, str])

    - stem (str)

    - newstem (str)

  Return type:

    None

cwltool.pack.import_embed(d, seen)
  Parameters:

    - d (collections.abc.MutableSequence[cwltool.utils.CWLObjectType] | cwltool.utils.CWLObjectType | cwltool.utils.CWLOutputType)

    - seen (set[str])

  Return type:

    None

cwltool.pack.pack(loadingContext, uri, rewrite_out=None, loader=None)
  Parameters:

    - loadingContext (cwltool.context.LoadingContext)

    - uri (str)

    - rewrite_out (dict[str, str] | None)

    - loader (schema_salad.ref_resolver.Loader | None)

  Return type:

    cwltool.utils.CWLObjectType